﻿Public Class FakeCustomerDataRepository
    Private _customers As List(Of Customer)

    Public Sub New()
        _customers = New List(Of Customer)()

        For i As Integer = 0 To 10
            _customers.Add(New Customer() With {
                .FirstName = Faker.Name.First(),
                .LastName = Faker.Name.Last(),
                .Company = Faker.Company.Name(),
                .Address = Faker.Address.StreetAddress(),
                .City = Faker.Address.City(),
                .State = Faker.Address.UsStateAbbr(),
                .ZipCode = Faker.Address.ZipCode(),
                .PhoneNumber = Faker.Phone.Number(),
                .EmailAddress = Faker.Internet.Email()
            })
        Next
    End Sub

    Public Function GetCustomers() As List(Of Customer)
        Return _customers
    End Function
End Class
